package com.xinelu.manage.domain.specialdiseaseroutepackage;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 专病路径-服务包关系（多对多关系）对象 special_disease_route_package
 *
 * @author xinelu
 * @date 2024-04-09
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "专病路径-服务包关系（多对多关系）对象", description = "special_disease_route_package")
public class SpecialDiseaseRoutePackage extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 专病路径表id
     */
    @ApiModelProperty(value = "专病路径表id")
    @Excel(name = "专病路径表id")
    private Long routeId;

    /**
     * 服务包表id
     */
    @ApiModelProperty(value = "服务包表id")
    @Excel(name = "服务包表id")
    private Long servicePackageId;

    /**
     * 路径名称
     */
    @ApiModelProperty(value = "路径名称")
    @Excel(name = "路径名称")
    private String routeName;

    /**
     * 服务包名称
     */
    @ApiModelProperty(value = "服务包名称")
    @Excel(name = "服务包名称")
    private String packageName;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("routeId", getRouteId())
                .append("servicePackageId", getServicePackageId())
                .append("routeName", getRouteName())
                .append("packageName", getPackageName())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
